export class TableColumnVisibilityToggle {
    constructor() {
        this.enabled = true;
    }
    changeHandler(e) {
        this.enabled = e.detail.checked;
        this.column.visible = this.enabled;
    }
    render() {
        return (h("ion-item", null,
            h("ion-label", null, this.column.label),
            h("ion-toggle", { value: "toggle", checked: this.enabled, onIonChange: (e) => this.changeHandler(e) })));
    }
    static get is() { return "gl-table-column-visibility-toggle"; }
    static get properties() { return {
        "column": {
            "type": "Any",
            "attr": "column"
        },
        "enabled": {
            "type": Boolean,
            "attr": "enabled",
            "mutable": true
        }
    }; }
}
